Bug #22906

The Archer kit should not be able to wear Ankheg Plate Mail

Added by Clare Taylor over 3 years ago. Updated over 3 years ago.

Status:Closed - FixedStart date:04/19/2016
Classification:C - MinorDue date:
Assignee:-% Done:

0%

Category:-
Target version:Public Bug Reports - 2.2.66.0
Found In Version:Public Bug Reports - 2.0.62.2

Description

  1. Start a new game with an Archer (Ranger kit).
  2. Create some Ankheg Plate Mail: C:CreateItem("PLAT06")
  3. Try to equip the armor.

Observed

The Archer can equip the Ankheg Plate Mail.

Expected

The Archer can't equip the Ankheg Plate Mail.

Notes

Archers "may only wear leather, studded leather, and hide armor" according to the kit description.

Internal report #23014.

000000046-Archer Ankeg Armor.zip - Save File (334 KB) Clare Taylor, 04/19/2016 11:48 AM

History

#1 Updated by Anders Svensson over 3 years ago

  • Subject changed from Archer kit can wear ankheg armor to The Archer kit should not be able to wear Ankheg Plate Mail
  • Description updated (diff)
  • Status changed from New to Submitted

Original report:
1) Load attached save
2) Open Kivan's Inventory

Observed: Kivan(archer kit) can freely equip and unequip ankheg armor.

Expected: Kivan should not be able to equip any armor besides studded leather, leather, and hide.

Notes: Kivan was made into an archer when I recruited him with EE keeper. My cleric just recently got better armor so I removed the ankheg armor. When moving it, I noticed Kivan could wear it. He is correctly restricted from wearing other armors an archer should not be able to wear.

Other Thoughts: This could be instead, a typo in the description of the kit. If Archer was restricted to non-metal armors, like a druid.

#2 Updated by Anders Svensson over 3 years ago

  • Description updated (diff)

#3 Updated by Richard Hilton over 3 years ago

  • Target version set to Next Update

#4 Updated by Alan Watson "ajwz" over 3 years ago

  • Status changed from Submitted to Closed - Fixed

#5 Updated by Jeff "Cerevant" Payne over 3 years ago

  • Target version changed from Next Update to 2.2.66.0

Also available in: Atom PDF